import type { FetchError } from './FetchError.js';
import { type ValidationError } from './validatedFetch.js';
/**
 * @link https://api.nrfcloud.com/v1/#tag/Account/operation/GetServiceToken
 */
export declare const ServiceToken: import("@sinclair/typebox").TObject<{
    token: import("@sinclair/typebox").TString;
}>;
export declare const serviceToken: ({ apiKey, endpoint, }: {
    apiKey: string;
    endpoint: URL;
}, fetchImplementation?: typeof fetch) => (() => Promise<{
    error: FetchError | ValidationError;
} | {
    token: string;
}>);
